#ifndef RTPSENDER_H
#define RTPSENDER_H

#include <QThread>
#include <QDebug>

// ortp-0.20.0
#include <ortp/ortp.h>

class rtpSender : public QThread
{
	Q_OBJECT
public:
	explicit rtpSender(QObject *parent = 0);
	~rtpSender();

	void run();

private:
	RtpSession *session;
	uint32_t user_ts;

	unsigned char mbuffer[160];

signals:

public slots:
	void sendData(const char *data, qint64 len);
	
};

#endif // RTPSENDER_H
